## lxqt-qtplugin 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-qtplugin)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Minimum Versions
set(LXQTBT_MINIMUM_VERSION "0.13.0")
set(QT_MINIMUM_VERSION "5.15.0")
set(QTXDG_MINIMUM_VERSION "3.12.0")
set(FMQT_MINIMUM_VERSION "1.4.0")

find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5XdgIconLoader ${QTXDG_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(dbusmenu-qt5 REQUIRED)
find_package(fm-qt ${FMQT_MINIMUM_VERSION} REQUIRED)

get_target_property(LIB_FM_QT_CONFIGURATIONS fm-qt IMPORTED_CONFIGURATIONS)
if (LIB_FM_QT_CONFIGURATIONS)
    # Extract the .soname from the first configuration found.
    # We don't use configuration mapping. Any config serves the purpose
    list(GET LIB_FM_QT_CONFIGURATIONS 0 LIB_FM_QT_FIRST_CONFIGURATION)
    get_target_property(LIB_FM_QT_SONAME fm-qt IMPORTED_SONAME_${LIB_FM_QT_FIRST_CONFIGURATION})
else()
    message(ERROR "libfm-qt, but no configuration found. Check your libfm-qt installation.")
endif()
mark_as_advanced(LIB_FM_QT_SONAME)

# Patch Version 0

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

add_subdirectory(src)

=== debian/changelog ===
lxqt-qtplugin (1.4.0-3) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078301)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Mon, 09 Sep 2024 21:37:36 +0800

lxqt-qtplugin (1.4.0-2) unstable; urgency=medium

  * Merge to unstable.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 10 May 2024 08:21:45 +0800

lxqt-qtplugin (1.4.0-1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Fix blhc error

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0
  * debian/control: build-deps on libfm-qt-dev (>= 1.4.0~).
  * debian/control: build-deps on libqt5xdg-dev (>= 3.12.0~).
  * debian/control: depends on libfm-qt14 due to soname bump.
  * debian/upstream/metadata: drop obsolete field Name.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 14 Dec 2023 15:07:19 +0100

lxqt-qtplugin (1.3.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Jul 2023 09:26:15 +0800

lxqt-qtplugin (1.3.0-1) experimental; urgency=medium

  * New upstream version 1.3.0
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on libfm-qt-dev (>= 1.3.0-1~).
  * debian/control: build-deps on lxqt-build-tools (>= 0.13.0~).
  * debian/control: clean up build-deps.
  * debian/control: build-deps on libqt5xdg-dev (>= 3.11.0~).
  * debian/control: build-deps on qtbase5-private-dev (>= 5.15.0~).
  * debian/control: update team address.
  * debian/control: depends on libfm-qt13.
  * debian/copyright: update.
  * debian/upstream/metadata: update url for git repo.
  * debian/salsa-ci.yml: temporary run CI on experimental release without
    reprotes test.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 29 Jun 2023 05:19:44 +0200

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-qt5-dev,
               libfm-qt-dev (>= 1.4.0~),
               libqt5xdg-dev (>= 3.12.0~),
               lxqt-build-tools (>= 0.13.0~),
               qtbase5-private-dev (>= 5.15.0~),
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin
Rules-Requires-Root: no

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libfm-qt14
Recommends: lxqt-config,
            lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

## lxqt-qtplugin 2.0.0

=== src/CMakeLists.txt ===
include_directories(
    ${Qt6Gui_PRIVATE_INCLUDE_DIRS}
    "${CMAKE_CURRENT_BINARY_DIR}"
)

set(qtlxqt_HDRS
    lxqtplatformtheme.h
    lxqtsystemtrayicon.h
    statusnotifieritem/statusnotifieritem.h
    statusnotifieritem/dbustypes.h
)

set(qtlxqt_SRCS
    main.cpp
    lxqtplatformtheme.cpp
    lxqtsystemtrayicon.cpp
    statusnotifieritem/statusnotifieritem.cpp
    statusnotifieritem/dbustypes.cpp
)

qt6_add_dbus_adaptor(qtlxqt_SRCS
    statusnotifieritem/org.kde.StatusNotifierItem.xml
    statusnotifieritem/statusnotifieritem.h
    StatusNotifierItem
)

add_library(qtlxqt MODULE ${qtlxqt_HDRS} ${qtlxqt_SRCS})

target_compile_definitions(qtlxqt
    PRIVATE
        "QT_NO_FOREACH"
        "LIB_FM_QT_SONAME=\"${LIB_FM_QT_SONAME}\""
)

target_link_libraries(qtlxqt
    Qt6::Widgets
    Qt6::DBus
    dbusmenu-lxqt
    Qt6XdgIconLoader
)


# there is no standard way to get the plugin dir of Qt5 with cmake
# The best way is get_target_property(QT_PLUGINS_DIR Qt5::QGtk2ThemePlugin LOCATION).
# This directly returns the platformthemes dir. However, this does not work
# in some distros, such as ubuntu.
# Finally, I came up with a more reliable way by using qmake.
get_target_property(QT_QMAKE_EXECUTABLE Qt6::qmake IMPORTED_LOCATION)
if(NOT QT_QMAKE_EXECUTABLE)
    message(FATAL_ERROR "qmake is not found.")
endif()

# execute the command "qmake -query QT_INSTALL_PLUGINS" to get the path of plugins dir.
execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_PLUGINS
    OUTPUT_VARIABLE QT_PLUGINS_DIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(QT_PLUGINS_DIR)
    message(STATUS "Qt6 plugin directory:" "${QT_PLUGINS_DIR}")
else()
    message(FATAL_ERROR "Qt6 plugin directory cannot be detected.")
endif()

install(TARGETS qtlxqt LIBRARY DESTINATION "${QT_PLUGINS_DIR}/platformthemes")

=== debian/changelog ===
lxqt-qtplugin (2.0.0-0ubuntu2) oracular; urgency=medium

  * Temporary fix for FTBFS on arm64. 
    - d/patches: Add set-qt-plugin-dir-via-configure.patch.
    - d/rules: Pass QT_PLUGINS_DIR to configure.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Aug 2024 14:06:13 +0100

lxqt-qtplugin (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:23:05 -0500

lxqt-qtplugin (1.4.0-0ubuntu2) noble; urgency=medium

  * Bump dependency for new upstream version.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 13 Nov 2023 12:52:43 -0600

lxqt-qtplugin (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Fixed copyright file.
  * Bumped and fixed build dependency versions.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 08 Nov 2023 16:52:40 -0600

lxqt-qtplugin (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 Aug 2023 10:43:09 -0500

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-lxqt0-dev,
               libfm-qt6-dev (>= 2.0.0),
               libkf6windowsystem-dev,
               libqt6xdg-dev (>= 4.0.0),
               libqt6xdgiconloader-dev (>= 4.0.0),
               libx11-dev,
               lxqt-build-tools (>= 2.0.0),
               qt6-base-private-dev,
               qt6-svg-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-qtplugin-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-qtplugin-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin
Rules-Requires-Root: no

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt6-14, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

## lxqt-qtplugin 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-qtplugin)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Minimum Versions
set(LXQTBT_MINIMUM_VERSION "2.1.0")
set(QT_MINIMUM_VERSION "6.6.0")
set(QTXDG_MINIMUM_VERSION "4.1.0")
set(DBUSMENU_MINIMUM_VERSION "0.2.0")
set(FMQT_MINIMUM_VERSION "2.1.0")

find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6XdgIconLoader ${QTXDG_MINIMUM_VERSION} REQUIRED)
find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(dbusmenu-lxqt ${DBUSMENU_MINIMUM_VERSION} REQUIRED)
find_package(fm-qt6 ${FMQT_MINIMUM_VERSION} REQUIRED)

get_target_property(LIB_FM_QT_CONFIGURATIONS fm-qt6 IMPORTED_CONFIGURATIONS)
if (LIB_FM_QT_CONFIGURATIONS)
    # Extract the .soname from the first configuration found.
    # We don't use configuration mapping. Any config serves the purpose
    list(GET LIB_FM_QT_CONFIGURATIONS 0 LIB_FM_QT_FIRST_CONFIGURATION)
    get_target_property(LIB_FM_QT_SONAME fm-qt6 IMPORTED_SONAME_${LIB_FM_QT_FIRST_CONFIGURATION})
else()
    message(ERROR "libfm-qt, but no configuration found. Check your libfm-qt installation.")
endif()
mark_as_advanced(LIB_FM_QT_SONAME)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtQueryQt)

add_subdirectory(src)

=== debian/changelog ===
lxqt-qtplugin (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).
  * debian/control: build-deps on libfm-qt-dev (>= 2.1.0~).
  * debian/control: build-deps on libqt6xdg-dev (>= 4.1.0~).
  * debian/control: depends on libfm-qt6-15 (>= 2.1.0~).
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 04 Dec 2024 18:31:32 +0100

lxqt-qtplugin (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:55:59 +0100

lxqt-qtplugin (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream version 2.0.0
  * debian/control: bump dep on libqt5xdg-dev -> libqt6xdg-dev
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: remove dependency on libdbusmenu-qt5-dev
  * debian/control: add dependency on libdbusmenu-lxqt-dev
  * debian/control: bump dep on qtbase5-private-dev -> qt6-base-private-
    dev
  * debian/control: bump dep on libfm-qt-dev (>= 2.0.0~)
  * debian/control: bump dep on libfm-qt14 (>= 2.0.0~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/control: correctly depends on libfm-qt6-14.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 10:59:30 +0200

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-lxqt-dev,
               libfm-qt-dev (>= 2.1.0~),
               libqt6xdg-dev (>= 4.1.0~),
               lxqt-build-tools (>= 2.1.0~),
               qt6-base-private-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin
Rules-Requires-Root: no

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt6-15 (>= 2.1.0~), ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

## lxqt-qtplugin 2.2.0

=== src/CMakeLists.txt ===
include_directories(
    ${Qt6Gui_PRIVATE_INCLUDE_DIRS}
    "${CMAKE_CURRENT_BINARY_DIR}"
)

set(qtlxqt_HDRS
    lxqtplatformtheme.h
    lxqtsystemtrayicon.h
    statusnotifieritem/statusnotifieritem.h
    statusnotifieritem/dbustypes.h
)

set(qtlxqt_SRCS
    main.cpp
    lxqtplatformtheme.cpp
    lxqtsystemtrayicon.cpp
    statusnotifieritem/statusnotifieritem.cpp
    statusnotifieritem/dbustypes.cpp
)

qt6_add_dbus_adaptor(qtlxqt_SRCS
    statusnotifieritem/org.kde.StatusNotifierItem.xml
    statusnotifieritem/statusnotifieritem.h
    StatusNotifierItem
)

add_library(qtlxqt MODULE ${qtlxqt_HDRS} ${qtlxqt_SRCS})

target_compile_definitions(qtlxqt
    PRIVATE
        "QT_NO_FOREACH"
        "LIB_FM_QT_SONAME=\"${LIB_FM_QT_SONAME}\""
)

target_link_libraries(qtlxqt
    Qt6::Widgets
    Qt6::DBus
    dbusmenu-lxqt
    Qt6XdgIconLoader
)

lxqt_query_qt(_QT_PLUGINS_DIR QT_INSTALL_PLUGINS)

if (NOT _QT_PLUGINS_DIR)
    message(FATAL_ERROR "Qt6 plugin directory cannot be detected.")
endif()
set(QT_PLUGINS_DIR "${_QT_PLUGINS_DIR}")
message(STATUS "Qt6 plugin directory:" "${QT_PLUGINS_DIR}")

install(TARGETS qtlxqt LIBRARY DESTINATION "${QT_PLUGINS_DIR}/platformthemes")

=== debian/changelog ===
lxqt-qtplugin (2.2.0-0ubuntu3) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 18:58:50 +0100

lxqt-qtplugin (2.2.0-0ubuntu2) questing; urgency=medium

  * Bump depends to latest libfm-qt.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Aug 2025 18:27:45 +0100

lxqt-qtplugin (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Update copyright file.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 10 Jul 2025 12:20:31 -0500

lxqt-qtplugin (2.1.0-0ubuntu5) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:28:41 -0600

lxqt-qtplugin (2.1.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 18:31:36 -0600

lxqt-qtplugin (2.1.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:58:37 -0600

lxqt-qtplugin (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:45:09 -0600

lxqt-qtplugin (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:33:06 -0600

lxqt-qtplugin (2.0.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:53:25 +0100

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-lxqt0-dev (>= 0.3.0),
               libfm-qt6-dev (>= 2.2.0),
               libkf6windowsystem-dev,
               libqt6xdg-dev (>= 4.2.0),
               libqt6xdgiconloader-dev (>= 4.2.0),
               libx11-dev,
               lxqt-build-tools (>= 2.2.0),
               qt6-base-private-dev (>= 6.6.0),
               qt6-svg-dev (>= 6.6.0)
Standards-Version: 4.7.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-qtplugin-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-qtplugin-packaging.git
Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin
Rules-Requires-Root: no

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt6-16, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure --\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DQT_PLUGINS_DIR=/usr/lib/${DEB_HOST_MULTIARCH}/qt6/plugins

## lxqt-qtplugin 2.3.0

=== debian/changelog ===
lxqt-qtplugin (2.3.0-2) unstable; urgency=medium

  * d/control: Fix Depends (Closes: #1124457).
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 02 Jan 2026 00:52:39 +0800

lxqt-qtplugin (2.3.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Dec 2025 18:07:05 +0800

lxqt-qtplugin (2.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.3.0.
  * d/control: Update Build-Depends.
  * d/control: Remove unnecessary Rules-Requires-Root: no.
  * d/watch: Upgrade to version 5.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 23 Nov 2025 22:39:59 +0800

lxqt-qtplugin (2.2.0-2) unstable; urgency=medium

  * d/control: Fix Depends for libfm-qt6-16.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 24 Aug 2025 08:54:00 +0800

lxqt-qtplugin (2.2.0-1) unstable; urgency=medium

  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 23 Aug 2025 00:51:28 +0800

lxqt-qtplugin (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0 (Closes: #1097339)
  * d/control: Bump Standards-Version to 4.7.2.
  * d/control: Update Build-Depends.
  * d/upstream: Fix signing-key.asc.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Aug 2025 09:30:28 +0800

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-lxqt-dev,
               libfm-qt-dev (>= 2.3.0~),
               libqt6xdg-dev (>= 4.3.0~),
               lxqt-build-tools (>= 2.3.0~),
               qt6-base-private-dev,
               qt6-tools-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt6-17 (>= 2.3.0~), ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.
